Name:           lutris
Version:        0.4.18
Release:        %mkrel 1
Summary:        Install and play any video game easily
Group:          Games/Other
License:        GPLv3+
URL:            http://lutris.net
Source0:        http://lutris.net/releases/%{name}_%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python3
BuildRequires:  python3-gobject3
BuildRequires:  python3-pyxdg

Requires:       python3-dbus
Requires:       python3-evdev
Requires:       python3-gobject3
Requires:       python3-pyxdg
Requires:       python3-yaml
Requires:       xrandr
Recommends:     python3-pyinotify

%description
Lutris is a gaming platform for GNU/Linux. Its goal is to make
gaming on Linux as easy as possible by taking care of installing
and setting up the game for the user. The only thing you have to
do is play the game. It aims to support every game that is playable
on Linux.

%prep
%setup -q -n %{name}
%autopatch -p1

%build
%py3_build

%install
%py3_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/polkit-1/actions/*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{name}/


%changelog
* Fri May 25 2018 akien <akien> 0.4.18-1.mga6
  (not released yet)
+ Revision: 1232144
- Version 0.4.18
- Version 0.4.14
- Version 0.4.13

* Fri Jun 16 2017 akien <akien> 0.4.12-1.mga6
+ Revision: 1107814
- Version 0.4.12

* Sat Jun 03 2017 akien <akien> 0.4.11.1-1.mga6
+ Revision: 1105900
- Version 0.4.11.1

* Tue May 16 2017 akien <akien> 0.4.10-1.mga6
+ Revision: 1101867
- Version 0.4.10

* Fri May 05 2017 akien <akien> 0.4.9-1.mga6
+ Revision: 1099181
- Version 0.4.9

* Sun Apr 23 2017 akien <akien> 0.4.8-1.mga6
+ Revision: 1097173
- Version 0.4.8

* Sun Apr 16 2017 akien <akien> 0.4.7.1-1.mga6
+ Revision: 1096593
- Version 0.4.7.1
- Version 0.4.7

* Wed Mar 22 2017 akien <akien> 0.4.6-1.mga6
+ Revision: 1094251
- Version 0.4.6

* Wed Mar 08 2017 akien <akien> 0.4.5-1.mga6
+ Revision: 1090197
- Version 0.4.5

* Sun Dec 18 2016 akien <akien> 0.4.4.1-1.mga6
+ Revision: 1075935
- Version 0.4.4.1

* Tue Nov 29 2016 akien <akien> 0.4.3-1.mga6
+ Revision: 1071026
- Version 0.4.3

* Wed Nov 02 2016 akien <akien> 0.4.2-1.mga6
+ Revision: 1064718
- Version 0.4.2

* Tue Oct 25 2016 akien <akien> 0.4.1-1.mga6
+ Revision: 1063514
- Version 0.4.1

* Sat Oct 15 2016 akien <akien> 0.4.0-1.mga6
+ Revision: 1060843
- Version 0.4.0
- Switch to python3 build

* Thu Aug 11 2016 akien <akien> 0.3.8-1.mga6
+ Revision: 1045945
- Require python-evdev for gamepad features
- Version 0.3.8

* Sat May 21 2016 akien <akien> 0.3.7.5-4.mga6
+ Revision: 1017407
- Upstream patch to silence stderr output

* Tue May 10 2016 daviddavid <daviddavid> 0.3.7.5-3.mga6
+ Revision: 1011983
- add missing requires on python-dbus (fixes mga#18410)

* Sat Apr 23 2016 akien <akien> 0.3.7.5-2.mga6
+ Revision: 1005506
- Fix window size reset to small values

* Mon Mar 07 2016 akien <akien> 0.3.7.5-1.mga6
+ Revision: 987234
- Version 0.3.7.5

* Sun Feb 28 2016 akien <akien> 0.3.7.3-1.mga6
+ Revision: 980438
- Version 0.3.7.3

* Tue Jan 05 2016 akien <akien> 0.3.7.2-1.mga6
+ Revision: 919894
- Version 0.3.7.2
- Drop no longer needed deps

* Sat Dec 12 2015 akien <akien> 0.3.7-1.mga6
+ Revision: 909684
- Version 0.3.7

* Wed Nov 26 2014 akien <akien> 0.3.6.3-1.mga5
+ Revision: 799337
- Add missing xrandr Requires
- Version 0.3.6.3

* Wed Nov 12 2014 akien <akien> 0.3.6.2-1.mga5
+ Revision: 796654
- Version 0.3.6.2

* Tue Nov 11 2014 akien <akien> 0.3.5-5.mga5
+ Revision: 796471
- Add a missing gvfs Requires as found out upstream on git#110

* Mon Nov 10 2014 akien <akien> 0.3.5-4.mga5
+ Revision: 796175
- Add dependency on glib-networking (fix upstream git#110)

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-3.mga5
+ Revision: 746065
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.5-2.mga5
+ Revision: 727001
- rebuild for missing pythoneggs deps

* Tue Sep 23 2014 akien <akien> 0.3.5-1.mga5
+ Revision: 719250
- imported package lutris

